aboutsummaryrefslogtreecommitdiff
path: root/desktop/tests/run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/tests/run.sh')
-rwxr-xr-xdesktop/tests/run.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/desktop/tests/run.sh b/desktop/tests/run.sh
new file mode 100755
index 00000000..184dfc16
--- /dev/null
+++ b/desktop/tests/run.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+# The script runs python tests
+# Firstly, all CLI tests are run
+# Then, all the GUI tests are run individually
+# to avoid segmentation fault
+
+PARAMS=""
+
+while [ ! $# -eq 0 ]
+do
+ case "$1" in
+ --rungui)
+ PARAMS="$PARAMS --rungui"
+ ;;
+ --runtor)
+ PARAMS="$PARAMS --runtor"
+ ;;
+ esac
+ shift
+done
+
+pytest $PARAMS -vvv ./tests/test_cli*.py || exit 1
+for filename in ./tests/test_gui_*.py; do
+ pytest $PARAMS -vvv --no-qt-log $filename || exit 1
+done